NAME    
	dfosInstall - installs or updates a dfos tool

SYNOPSIS
	dfosInstall [option_value]

OPTIONS
        -h[elp]    short help
        -v[ersion] tool version
	-D[istribute] 
		   OPSHUB only: DISTRIB_MODE - tool (or actually any file) gets distributed to all configured OPSHUB accounts

PARAMETERS
	in normal mode:
	-t[ool]	<tool_name> installs the tool 
	in DISTRIB_MODE:
	-t[ool]	<tool_name> scp specified tool (or file) to all accounts configured in config.dfosInstall
	-p[ath]	<path_name> (relative to $HOME!) target path (same on source and target accounts), like 'bin' or 'config' or 'doc'
OUTPUTS
	none

CONFIGURATION FILE
	optional config.dfosInstall, for OPSHUB only (option -D)

EXAMPLES
        dfosInstall -t createReport		install createReport from qcweb repository
	dfosInstall -D -t this_tool -p bin	scp bin/this_tool to all configured accounts:bin/

NOTES
	The tool can be called from the command line, or (for DFOS or PHOENIX environments) from
	$DFO_MON_DIR/dfosExplorer.html. 
	The update mode is distinguished from the full installation by the treatment of
	configuration files. The full installation writes the tool config file(s) into $DFO_CONFIG_DIR.
	The update installation writes them into $DFO_CONFIG_DIR/template while the operational
	config file is untouched.

	On the OPSHUB, you can use the -D option to scp a specified file to all configured accounts.
